# $Revision: 1.24 $, $Date: 2002/11/08 18:37:33 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Format
Summary:	HTML::Formatter - Base class for HTML formatters
Summary(pl):	HTML::Formatter - bazowa klasa dla klas formatujcych HTML
Name:		perl-HTML-Format
Version:	2.01
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
Requires:	perl-Font-AFM
# do not change to BuildRequires
Requires:	perl-HTML-Tree >= 0.62
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML formatters are able to format a HTML syntax tree into various
printable formats.  Different formatters produce output for different
output media.  Common for all formatters are that they will return the
formatted output when the format() method is called.  Format() takes a
HTML::Element as parameter.

%description -l pl
Klasy formatujce HTML mog sformatowa drzewo skadni HTML do rnych
drukowalnych formatw. Rne klasy formatujce daj wyjcie dla
rnych mediw. Wsplne dla wszystkich klas formatujcych jest to, e
zwracaj sformatowane wyjcie po wywoaniu metody format(). format()
przyjmuje HTML::Element jako parametr.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/HTML/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-Format.spec,v $
Revision 1.24  2002/11/08 18:37:33  radek
- version 2.01
- added missing file
- perl-Font-AFM is not required during the building stage
  and not recognized by the find-perl-requires

Revision 1.23  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.22  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.21  2002/08/07 07:41:10  marcus
- use new %%doc
- rel.7.

Revision 1.20  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:15:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:26:49  depesz
adapterized

Revision 1.14  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/30 15:01:56  baggins
- fixed buildrequires

Revision 1.11  2001/04/17 12:10:06  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/06 16:15:45  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2001/01/05 10:13:05  yaro
- fixed BuildRequires

Revision 1.7  2000/08/16 22:12:37  kloczek
- updated to 1.23.

Revision 1.6  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 18:49:12  pius
- initial release
